"""Implementation of XBAparameter class.

Peter Schubert, HHU Duesseldorf, May 2022
"""
from xbanalysis.model.sbo_term import SboTerm


class XbaParameter:

    def __init__(self, s_parameter):
        self.id = s_parameter.name
        self.name = s_parameter.get('name', self.id)
        self.value = s_parameter['value']
        self.constant = s_parameter['constant']
        self.units = s_parameter['units']
        if 'sboterm' in s_parameter:
            self.sboterm = SboTerm(s_parameter['sboterm'])
